Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157365 - magma_gulm.so doesn't detect membership down events
Summary: magma_gulm.so doesn't detect membership down events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: magma-plugins
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 22:37 UTC by Lon Hohberger
Modified: 2009-04-16 20:17 UTC (History)
1 user (show)

Fixed In Version: rhcs4u2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-06 15:54:46 UTC


Attachments (Terms of Use)

Description Lon Hohberger 2005-05-10 22:37:40 UTC
Description of problem:

The old libgulm used to specifically pass three events:
- Node expired
- Node fenced
- Node logged out

We were waiting for "logged out" messages from gulm core on a node for
membership transitions, but unfortunately, they're no longer delivered if the
node was fenced.  So, magma wasn't correctly membership-down transitions on libgulm.

Fixed in CVS.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Lon Hohberger 2005-05-10 22:44:32 UTC
Fixed in CVS.  This is a fairly huge problem.


Note You need to log in before you can comment on or make changes to this bug.